
  1                       Version 4.0 -- 5/1/89               abort_xact
  ______________________________________________________________________

  NAME:  abort_xact

  FUNCTION:
       Mark a distributed transaction as being aborted.

  SYNTAX:
       RETCODE abort_xact(connect, commid)

       DBPROCESS *connect;
       DBINT     commid;

  COMMENTS:







  abort_xact              Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This routine informs the commit service that the  status  of  a
         distributed  transaction  should  be  changed  from  "begin" to
         "abort."

  PARAMETERS:
       connect -  A pointer to the DBPROCESS used  to  communicate  with
           the commit service.
       commid -  The commid used to identify the transaction to the com-
           mit service.

  RETURNS:
       SUCCEED or FAIL.

  SEE ALSO:
       commit_xact, remove_xact, scan_xact, start_xact, stat_xact



