
  1                       Version 4.0 -- 5/1/89                bcp_batch
  ______________________________________________________________________

  NAME:  bcp_batch

  FUNCTION:
       Save any preceding rows in SQL Server.

  SYNTAX:
       DBINT bcp_batch(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o When an application uses bcp_bind() and bcp_sendrow() to  bulk-






  bcp_batch               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         copy rows from program variables to SQL Server tables, the rows
         are permanently saved in SQL Server only when the program calls
         bcp_batch() or bcp_done().

       o You may call bcp_batch() once every n rows or when there  is  a
         lull between periods of incoming data (as in a telemetry appli-
         cation). Of course, you may choose some other criteria, or  may
         decide  not  to  call bcp_batch() at all. If bcp_batch() is not
         called, the rows  are  permanently  saved  in  SQL Server  when
         bcp_done() is called.
       o For information on the bcp utility program, see its manual page
         in the Commands Reference.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage



  3                       Version 4.0 -- 5/1/89                bcp_batch
  ______________________________________________________________________
           communications and data between the front end and SQL Server.

  RETURNS:
       The number of rows saved since the last call to  bcp_batch(),  or
       -1 in case of error.

  SEE ALSO:
       bcp_bind, bcp_done, bcp_sendrow











