
  1                       Version 4.0 -- 5/1/89                   dbexit
  ______________________________________________________________________

  NAME:  dbexit

  FUNCTION:
       Close and de-allocate all DBPROCESS structures, and clean up  any
       structures initialized by dbinit().

  SYNTAX:
       void dbexit()


  COMMENTS:

       o dbexit() calls dbclose() repeatedly for all allocated DBPROCESS






  dbexit                  Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         structures.  dbclose() cleans up any activity associated with a
         single DBPROCESS structure and de-allocates the space.

       o You can use dbclose() directly to close just a single DBPROCESS
         structure.
       o dbexit() also cleans up any structures initialized by dbinit(),
         releasing the memory associated with those structures.  It must
         be the last DB-Library  call  in  any  application  that  calls
         dbinit().

         Currently, dbinit() is required only in the Macintosh  environ-
         ment.  However, to ensure future compatibility and portability,
         it is strongly recommended that all applications call  dbinit()
         and dbexit(), no matter what their operating environment.
         For environments requiring dbinit(), the application  must  not
         make any other DB-Library call after calling dbexit().




  3                       Version 4.0 -- 5/1/89                   dbexit
  ______________________________________________________________________

  RETURNS:
       None.

  SEE ALSO:
       dbclose, dbinit, dbopen













