
  1                       Version 4.0 -- 5/1/89                DBGETTIME
  ______________________________________________________________________

  NAME:  DBGETTIME

  FUNCTION:
       Return the number of seconds that  DB-Library  will  wait  for  a
       SQL Server response to a SQL command.

  SYNTAX:
       int DBGETTIME()


  COMMENTS:

       o This routine  returns  the  length  of  time  in  seconds  that






  DBGETTIME               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         DB-Library will wait for a SQL Server response during calls  to
         dbsqlexec(),  dbsqlok(),  dbresults(),  and  dbnextrow().   The
         default timeout  value  is  0,  which  represents  an  infinite
         timeout period.

       o The program can call dbsettime() to change the timeout value.

  RETURNS:
       The timeout value-the number of seconds that DB-Library waits for
       a  SQL Server  response  before timing out.  A timeout value of 0
       represents an infinite timeout period.

  SEE ALSO:
       dbsettime





