
  1                       Version 4.0 -- 5/1/89 DBIOWDESC    (UNIX only)
  ______________________________________________________________________

  NAME:  DBIOWDESC    (UNIX only)

  FUNCTION:
       Provide program access to the UNIX  file  descriptor  used  by  a
       DBPROCESS to write data to SQL Server.

  SYNTAX:
       int DBIOWDESC(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:







  DBIOWDESC    (UNIX only)Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This routine provides a way for an application  to  effectively
         utilize  multiple  input  and output streams.  Depending on the
         nature of your application, the time interval between the  ini-
         tiation  of an attempt to write information to SQL Server (usu-
         ally made via a call to dbsqlsend()) and the completion of that
         attempt  may  be significant.  You may use this time to service
         other parts of your application. The DBIOWDESC()  routine  pro-
         vides a way to obtain the I/O descriptor which a DBPROCESS uses
         to write the data stream to SQL Server.  This  information  may
         then  be used with various operating system facilities (such as
         the UNIX select() function) to allow the application to  effec-
         tively utilize multiple input and output streams.
       o The file descriptor returned by this routine may only  be  used
         with  operating system facilities that do not write data to the
         outgoing data stream. If data is written to this stream by  any
         means  other  than through a DB-Library routine, communications



  3                       Version 4.0 -- 5/1/89 DBIOWDESC    (UNIX only)
  ______________________________________________________________________
         between the front-end and  SQL Server  will  become  hopelessly
         scrambled.

       o A companion routine, DBIORDESC(), provides access to  the  file
         descriptor used to read data coming from SQL Server.
       o For an example that illustrates the  use  of  DBIOWDESC()  with
         dbsqlsend() and dbsqlok(), see the DB-Library Reference Supple-
         ment.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       An integer file descriptor used by  the  specified  DBPROCESS  to



  DBIOWDESC    (UNIX only)Version 4.0 -- 5/1/89                        4
  ______________________________________________________________________
       write data to SQL Server.

  SEE ALSO:
       dbcmd, DBIORDESC, dbnextrow, dbresults, dbsqlok, dbsqlsend















