
  1                       Version 4.0 -- 5/1/89                DBISAVAIL
  ______________________________________________________________________

  NAME:  DBISAVAIL

  FUNCTION:
       Determine whether a DBPROCESS is available for general use.

  SYNTAX:
       DBBOOL DBISAVAIL(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o This routine  indicates  whether  the  specified  DBPROCESS  is






  DBISAVAIL               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         available for general use.  When a DBPROCESS is  first  opened,
         it  is marked as being available, until some use is made of it.
         Many DB-Library routines will automatically set  the  DBPROCESS
         to  "not  available,"  but  only  dbsetavail() will reset it to
         "available." This facility is useful when several  parts  of  a
         program are attempting to share a single DBPROCESS.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       TRUE if the DBPROCESS is available  for  general  use,  otherwise
       FALSE.




  3                       Version 4.0 -- 5/1/89                DBISAVAIL
  ______________________________________________________________________

  SEE ALSO:
       dbsetavail
















