
  1                       Version 4.0 -- 5/1/89             dbnumcompute
  ______________________________________________________________________

  NAME:  dbnumcompute

  FUNCTION:
       Return the number of  COMPUTE  clauses  in  the  current  set  of
       results.

  SYNTAX:
       int dbnumcompute(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:







  dbnumcompute            Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This routine returns the  number  of  COMPUTE  clauses  in  the
         current  set  of  results.   The  application can call it after
         dbresults() returns SUCCEED.  For example, given the SQL state-
         ment:

              select dept, name from employee
                order by dept, name
                compute count(name) by dept
                compute count(name)

         the call dbnumcompute(dbproc) will return 2 since there are two
         COMPUTE clauses in the SELECT statement.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage


  3                       Version 4.0 -- 5/1/89             dbnumcompute
  ______________________________________________________________________
           communications and data between the front end and SQL Server.

  RETURNS:
       The number of COMPUTE clauses in the current set of results.

  SEE ALSO:
       dbnumalts, dbresults












