
  1                       Version 4.0 -- 5/1/89              DBNUMORDERS
  ______________________________________________________________________

  NAME:  DBNUMORDERS

  FUNCTION:
       Return the number of columns specified in a  Transact-SQL  SELECT
       statement's ORDER BY clause.

  SYNTAX:
       int DBNUMORDERS(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:







  DBNUMORDERS             Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o Once a SELECT statement has been executed and  dbresults()  has
         been  called  to process it, the application can call DBNUMORD-
         ERS() to find out  how  many  columns  were  specified  in  the
         statement's ORDER BY clause.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       The number of ORDER BY columns.  If there's no ORDER  BY  clause,
       this routine returns 0.  If there's an error, it returns -1.

  SEE ALSO:
       dbordercol

