
  1                       Version 4.0 -- 5/1/89                 dbprhead
  ______________________________________________________________________

  NAME:  dbprhead

  FUNCTION:
       Print the column headings for rows returned from SQL Server.

  SYNTAX:
       extern int DbColwidth;

       void dbprhead(dbproc)

       DBPROCESS *dbproc;








  dbprhead                Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

  COMMENTS:

       o This routine displays, on the default output device  and  in  a
         default format, the column headings for a set of query results.
         The format is compatible with the format used by dbprrow().
       o The application can call dbprhead()  once  dbresults()  returns
         SUCCEED.

       o This routine is useful for debugging.



  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage



  3                       Version 4.0 -- 5/1/89                 dbprhead
  ______________________________________________________________________
           communications and data between the front end and SQL Server.
       DbColwidth -  A global variable that dbprhead() uses to calculate
           the  width  of  each output line.  It is initialized to 80 by
           DB-Library.

  RETURNS:
       None.

  SEE ALSO:
       dbbind, dbnextrow, dbprrow, dbresults









