
  1                       Version 4.0 -- 5/1/89               dbreadpage
  ______________________________________________________________________

  NAME:  dbreadpage

  FUNCTION:
       Read a page of binary data from SQL Server.

  SYNTAX:
       DBINT dbreadpage(dbproc, dbname, pageno, buf)

       DBPROCESS *dbproc;
       char      *dbname;
       DBINT     pageno;
       BYTE      buf[];







  dbreadpage              Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

  COMMENTS:

       o dbreadpage() reads a page of binary data from SQL Server.  This
         routine is primarily useful for examining and repairing damaged
         database pages.  After calling dbreadpage(), the DBPROCESS  may
         contain  some  error or informational messages from SQL Server.
         These messages may be accessed through a user-supplied  message
         handler.


         WARNING  ________________________________________________________
         ||  Use this routine only if you are absolutely sure you know    |
         |  what you are doing!                                          |
         |_______________________________________________________________||





  3                       Version 4.0 -- 5/1/89               dbreadpage
  ______________________________________________________________________
  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.
       dbname -  The name of the database of interest.
       pageno -  The number of the database page to be read.
       buf -  A pointer to a buffer to  hold  the  received  page  data.
           SQL Server pages are currently 2048 bytes long.

  RETURNS:
       The number of bytes read from SQL Server. If  the  operation  was
       unsuccessful, dbreadpage returns -1.

  LIMITATIONS:
       Alters the contents of the DBPROCESS command buffer.




  dbreadpage              Version 4.0 -- 5/1/89                        4
  ______________________________________________________________________

  SEE ALSO:
       dbmsghandle, dbwritepage
















