
  1                       Version 4.0 -- 5/1/89               dbsetifile
  ______________________________________________________________________

  NAME:  dbsetifile

  FUNCTION:
       Specify the name and location of the SYBASE interfaces file.

  SYNTAX:
       void dbsetifile(filename)

       char      *filename;

  COMMENTS:

       o This routine lets the application specify the name and location






  dbsetifile              Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         of the interfaces file that will be searched during every  sub-
         sequent  call  to  dbopen().   The interfaces file contains the
         name and network address of every SQL Server available  on  the
         network.

       o If dbsetifile() has not been called, a call  to  dbopen()  will
         initiate the following default behavior:  DB-Library will first
         attempt to use a file named "interfaces" in the directory named
         by  the SYBASE environment variable or logical name.  If SYBASE
         has not been set, DB-Library will attempt to use a file  called
         "interfaces" in the home directory of the user named "sybase".









  3                       Version 4.0 -- 5/1/89               dbsetifile
  ______________________________________________________________________

       o For more information on the interfaces  file,  see  the  SYBASE
         Installation Guide.

  PARAMETERS:
       filename -  The name of the interfaces file  that  gets  searched
           during  every  subsequent call to dbopen(). If this parameter
           is NULL, DB-Library will revert  to  its  default  interfaces
           filename (see above).

  RETURNS:
       None.

  SEE ALSO:
       dbopen, dbsetconnect




