
  1                       Version 4.0 -- 5/1/89                DBSETLAPP
  ______________________________________________________________________

  NAME:  DBSETLAPP

  FUNCTION:
       Set the application name in the LOGINREC structure.

  SYNTAX:
       RETCODE DBSETLAPP(loginrec, application)

       LOGINREC  *loginrec;
       char      *application;

  COMMENTS:







  DBSETLAPP               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This macro sets the application field in  the  LOGINREC  struc-
         ture.  For it to have any effect, it must be called before dbo-
         pen().
         
       o It is not necessary to call  this  routine.   By  default,  the
         application  name  will be a null value.

       o SQL Server uses the application name in its sysprocesses  table
         to help identify your process. If you set the application name,
         you will see it if you query the sysprocesses table in the mas-
         ter database.

  PARAMETERS:
       loginrec -  A pointer to a  LOGINREC  structure,  which  will  be
           passed  as  an argument to dbopen().  You can get one by cal-
           ling dblogin().
       application -   The  application  name  that  will  be  sent   to


  3                       Version 4.0 -- 5/1/89                DBSETLAPP
  ______________________________________________________________________
           SQL Server.  It must be a null-terminated  character  string.
           The maximum length of the string, not including the null ter-
           minator, is 30 characters.

  RETURNS:
       SUCCEED or FAIL.

  SEE ALSO:
       dblogin, dbopen, DBSETLHOST, DBSETLPWD, DBSETLUSER










