
  1                       Version 4.0 -- 5/1/89               DBSETLHOST
  ______________________________________________________________________

  NAME:  DBSETLHOST

  FUNCTION:
       Set the host name in the LOGINREC structure.

  SYNTAX:
       RETCODE DBSETLHOST(loginrec, hostname)

       LOGINREC  *loginrec;
       char      *hostname;

  COMMENTS:







  DBSETLHOST              Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This macro sets the host name in the LOGINREC structure. For it
         to have any effect, it must be called before dbopen().

       o The host name will show up in the  sysprocesses  table  in  the
         master database.

       o It is not necessary to call this routine.  If it is not called,
         DB-Library  will set the default value for the host name.  This
         default value will generally be a version of the host machine's
         name provided by the operating system.


  PARAMETERS:
       loginrec -  A pointer to a  LOGINREC  structure,  which  will  be
           passed  as  an argument to dbopen().  You can get one by cal-
           ling dblogin().



  3                       Version 4.0 -- 5/1/89               DBSETLHOST
  ______________________________________________________________________
       hostname -  The host name that will be  sent  to  SQL Server.  It
           must  be  a  null-terminated  character  string.  The maximum
           length of the string, not including the null  terminator,  is
           30 characters.

  RETURNS:
       SUCCEED or FAIL.

  SEE ALSO:
       dblogin, dbopen, DBSETLAPP, DBSETLPWD, DBSETLUSER









