
  1                       Version 4.0 -- 5/1/89              dbwritepage
  ______________________________________________________________________

  NAME:  dbwritepage

  FUNCTION:
       Write a page of binary data to SQL Server.

  SYNTAX:
       RETCODE dbwritepage(dbproc, dbname, pageno, size, buf)

       DBPROCESS *dbproc;
       char      *dbname;
       DBINT     pageno;
       DBINT     size;







  dbwritepage             Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
       BYTE      buf[];

  COMMENTS:

       o dbwritepage() writes a page of binary data to SQL Server.  This
         routine is primarily useful for examining and repairing damaged
         database pages.  After calling dbwritepage(), the DBPROCESS may
         contain  some  error or informational messages from SQL Server.
         These messages may be accessed through a user-supplied  message
         handler.


         WARNING  ________________________________________________________
         ||  Use this routine only if you are absolutely sure you know    |
         |  what you are doing!                                          |
         |_______________________________________________________________||




  3                       Version 4.0 -- 5/1/89              dbwritepage
  ______________________________________________________________________

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.
       dbname -  The name of the database of interest.
       pageno -  The number of the database page to be written.
       size -   The  number  of  bytes  to  be  written  to  SQL Server.
           Currently, SQL Server database pages are 2048 bytes long.
       buf -  A pointer to a buffer which holds the data to be written.

  RETURNS:
       SUCCEED or FAIL.

  SEE ALSO:
       dbmsghandle, dbreadpage


