
  1                       Version 4.0 -- 5/1/89                stat_xact
  ______________________________________________________________________

  NAME:  stat_xact

  FUNCTION:
       Return the current status of a distributed transaction.

  SYNTAX:
       int stat_xact(connect, commid)

       DBPROCESS *connect;
       DBINT     commid;

  COMMENTS:







  stat_xact               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This routine returns the transaction status for  the  specified
         distributed transaction.

  PARAMETERS:
       connect -  A pointer to the DBPROCESS used  to  communicate  with
           the commit service.
       commid -  The commid used to identify the transaction to the com-
           mit service.  If commid is -1, all commit service records are
           displayed.

  RETURNS:
       A character code: 'a' (abort), 'b'  (begin),  'c'  (commit),  'u'
       (unknown), or -1 (request failed).

  SEE ALSO:
       abort_xact, commit_xact, remove_xact, scan_xact, start_xact


