
  1                       Version 4.0 -- 5/1/89                 bcp_done
  ______________________________________________________________________

  NAME:  bcp_done

  FUNCTION:
       End a bulk copy from program variables into SQL Server.

  SYNTAX:
       DBINT bcp_done(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o bcp_done() ends a  bulk  copy  performed  with  bcp_bind()  and






  bcp_done                Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         bcp_sendrow().  It should be called  after  the  last  call  to
         bcp_sendrow()  or  bcp_moretext().   Failure to call bcp_done()
         after you have completed copying in all your data  will  result
         in unpredictable errors.

       o For information on the bcp utility program, see its manual page
         in the Commands Reference.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       The number of rows permanently  saved  since  the  last  call  to
       bcp_batch(), or -1 in case of error.



  3                       Version 4.0 -- 5/1/89                 bcp_done
  ______________________________________________________________________

  SEE ALSO:
       bcp_batch, bcp_bind, bcp_moretext, bcp_sendrow
















