
  1                       Version 4.0 -- 5/1/89              commit_xact
  ______________________________________________________________________

  NAME:  commit_xact

  FUNCTION:
       Mark a distributed transaction as being committed.

  SYNTAX:
       RETCODE commit_xact(connect, commid)

       DBPROCESS *connect;
       DBINT     commid;

  COMMENTS:







  commit_xact             Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This routine informs the commit service that the  status  of  a
         distributed transaction should be changed from "begin" to "com-
         mit."

  PARAMETERS:
       connect -  A pointer to the DBPROCESS used  to  communicate  with
           the commit service.
       commid -  The commid used to identify the transaction to the com-
           mit service.

  RETURNS:
       SUCCEED or FAIL.  If commit_xact() fails, you must roll back  the
       transaction.

  SEE ALSO:
       abort_xact, remove_xact, scan_xact, start_xact, stat_xact


