
  1                       Version 4.0 -- 5/1/89                  dbclose
  ______________________________________________________________________

  NAME:  dbclose

  FUNCTION:
       Close and de-allocate a single DBPROCESS structure.

  SYNTAX:
       void dbclose(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o dbclose() is  the  inverse  of  dbopen().   It  cleans  up  any






  dbclose                 Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         activity  associated  with  one  DBPROCESS  structure  and  de-
         allocates  the space.  It also closes the corresponding network
         connection.

       o To close every open DBPROCESS structure, use dbexit() instead.
       o Calling dbclose() with an argument not returned by dbopen()  is
         sure to cause trouble.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       None.




  3                       Version 4.0 -- 5/1/89                  dbclose
  ______________________________________________________________________

  SEE ALSO:
       dbexit, dbopen
















