
  1                       Version 4.0 -- 5/1/89                 DBCURCMD
  ______________________________________________________________________

  NAME:  DBCURCMD

  FUNCTION:
       Return the number of the current command.

  SYNTAX:
       int DBCURCMD(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o This macro returns the number of the command whose results  are






  DBCURCMD                Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         currently being processed.

       o The first command in a batch is number 1.  The  command  number
         is  incremented every time dbresults() returns SUCCEED or FAIL.
         (Unsuccessful commands are  counted.)  The  command  number  is
         reset by each call to dbsqlexec() or dbsqlsend().

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       The number of the current command.

  SEE ALSO:
       DBCMDROW, DBMORECMDS, DBROWS

