
  1                       Version 4.0 -- 5/1/89                 DBCURROW
  ______________________________________________________________________

  NAME:  DBCURROW

  FUNCTION:
       Return the number of the row currently being read.

  SYNTAX:
       DBINT DBCURROW(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o This macro returns the number of the row currently being  read.






  DBCURROW                Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         Rows are counted from the first row returned  from  SQL Server,
         whose  number  is 1, and not from the top of the row buffer, if
         any.   The  row  number  changes  every  time  dbnextrow()   or
         dbgetrow() returns SUCCEED.

       o The row number is reset to 0 by each new call to dbresults().

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       The number of the current row.  This routine returns 0 if no rows
       have been processed yet.




  3                       Version 4.0 -- 5/1/89                 DBCURROW
  ______________________________________________________________________

  SEE ALSO:
       dbclrbuf, DBFIRSTROW, dbgetrow, DBLASTROW,  dbnextrow,  dbsetopt,
       options















