
  1                       Version 4.0 -- 5/1/89                dbfreebuf
  ______________________________________________________________________

  NAME:  dbfreebuf

  FUNCTION:
       Clear the command buffer.

  SYNTAX:
       void dbfreebuf(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o This routine clears a DBPROCESS command buffer by  freeing  any






  dbfreebuf               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         space allocated to it.  It then  sets  the  command  buffer  to
         NULL.   Commands  are  added  to  the  command  buffer with the
         dbcmd() or dbfcmd() routine.

       o After a call to dbsqlexec() or dbsqlsend(), the first  call  to
         either  dbcmd()  or dbfcmd() automatically calls dbfreebuf() to
         clear the command buffer before the new text  is  entered.   If
         this  situation  is  undesirable,  set the DBNOAUTOFREE option.
         When DBNOAUTOFREE is set, the command buffer is cleared only by
         an explicit call to dbfreebuf().
       o At any time, the application can access  the  contents  of  the
         command  buffer  through  calls to dbgetchar(), dbstrlen(), and
         dbstrcpy().

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It



  3                       Version 4.0 -- 5/1/89                dbfreebuf
  ______________________________________________________________________
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       None.

  SEE ALSO:
       dbcmd,  dbfcmd,  dbgetchar,   dbsqlexec,   dbsqlsend,   dbstrcpy,
       dbstrlen, options










