
  1                       Version 4.0 -- 5/1/89                DBLASTROW
  ______________________________________________________________________

  NAME:  DBLASTROW

  FUNCTION:
       Return the number of the last row in the row buffer.

  SYNTAX:
       DBINT DBLASTROW(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o This macro returns the number  of  the  last  row  in  the  row






  DBLASTROW               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         buffer.  Rows are counted from  the  first  row  returned  from
         SQL Server,  whose number is 1, and not from the top of the row
         buffer.

       o If you aren't buffering  rows,  DBFIRSTROW(),  DBCURROW(),  and
         DBLASTROW()  will  always  have  the  same  value.  If you have
         enabled buffering by setting the DBBUFFER  option,  DBLASTROW()
         will  return  the number of the row that is the last row in the
         row buffer.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       The number of the last row  in  the  row  buffer.   This  routine


  3                       Version 4.0 -- 5/1/89                DBLASTROW
  ______________________________________________________________________
       returns 0 if there's an error.

  SEE ALSO:
       dbclrbuf, DBCURROW, DBFIRSTROW,  dbgetrow,  dbnextrow,  dbsetopt,
       options














