
  1                       Version 4.0 -- 5/1/89               DBMORECMDS
  ______________________________________________________________________

  NAME:  DBMORECMDS

  FUNCTION:
       Indicate whether there are more commands to be processed.

  SYNTAX:
       RETCODE DBMORECMDS(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o The application can use this macro to determine  whether  there






  DBMORECMDS              Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         are more results to process.

       o DBMORECMDS()  can   be   called   after   dbnextrow()   returns
         NO_MORE_ROWS.   If you know that the current command is return-
         ing no  rows,  you  can  call  DBMORECMDS()  immediately  after
         dbresults().
       o Applications rarely need this routine, because they can  simply
         call dbresults() until it returns NO_MORE_RESULTS.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       SUCCEED or FAIL, indicating whether there are more  results  from



  3                       Version 4.0 -- 5/1/89               DBMORECMDS
  ______________________________________________________________________
       the command batch.

  SEE ALSO:
       DBCMDROW, dbresults, DBROWS, DBROWTYPE















