
  1                       Version 4.0 -- 5/1/89                   dbname
  ______________________________________________________________________

  NAME:  dbname

  FUNCTION:
       Return the name of the current database.

  SYNTAX:
       char *dbname(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o dbname returns the name of the current database.






  dbname                  Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o If you need to keep track of when  the  database  changes,  use
         dbchange().

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       A pointer to the null-terminated name of the current database.

  SEE ALSO:
       dbchange, dbuse




