
  1                       Version 4.0 -- 5/1/89                  dbprrow
  ______________________________________________________________________

  NAME:  dbprrow

  FUNCTION:
       Print all the rows returned from SQL Server.

  SYNTAX:
       extern int DbColwidth;

       RETCODE dbprrow(dbproc)

       DBPROCESS *dbproc;








  dbprrow                 Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

  COMMENTS:

       o This routine displays, on the default output device  and  in  a
         default format, the rows for a set of query results.  This rou-
         tine reads and prints all the rows.  It saves  the  trouble  of
         calling  routines  such  as  dbbind()  and  dbnextrow(), but it
         prints only in a single, predetermined format.
       o The application can call  dbprrow()  once  dbresults()  returns
         SUCCEED.

       o When using this routine, you do not need to call dbnextrow() to
         loop through the rows.
       o dbprrow() is useful primarily for debugging.






  3                       Version 4.0 -- 5/1/89                  dbprrow
  ______________________________________________________________________

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.
       DbColwidth -  A global variable that dbprrow() uses to  calculate
           the  width  of  each output line.  It is initialized to 80 by
           DB-Library.

  RETURNS:
       SUCCEED or FAIL.

  SEE ALSO:
       dbbind, dbnextrow, dbprhead, dbresults




