
  1                       Version 4.0 -- 5/1/89    DBRBUF    (UNIX only)
  ______________________________________________________________________

  NAME:  DBRBUF    (UNIX only)

  FUNCTION:
       Determine whether the  DB-Library  network  buffer  contains  any
       unread bytes.

  SYNTAX:
       DBBOOL DBRBUF(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:







  DBRBUF    (UNIX only)   Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This routine lets the application know if the  DB-Library  net-
         work buffer contains any bytes yet unread.
       o DBRBUF() is ordinarily used in conjunction with  dbsqlok()  and
         DBIORDESC()  to  manage multiple input data streams.  To manage
         these input  streams  efficiently,  an  application  that  uses
         dbsqlok()  should  check whether any bytes remain either in the
         network buffer (by calling DBRBUF()) or in the  network  itself
         (by  calling  the  UNIX  select()) before it calls dbresults().
         See the DB-Library Reference Supplement for an example of this.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.




  3                       Version 4.0 -- 5/1/89    DBRBUF    (UNIX only)
  ______________________________________________________________________

  RETURNS:
       TRUE (bytes remain in buffer) or FALSE (no bytes in buffer).

  SEE ALSO:
       DBIORDESC, dbsqlok, dbresults













