
  1                       Version 4.0 -- 5/1/89                DBROWTYPE
  ______________________________________________________________________

  NAME:  DBROWTYPE

  FUNCTION:
       Return the type of the current row.

  SYNTAX:
       STATUS DBROWTYPE(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o This macro tells you the  type  (regular  or  compute)  of  the






  DBROWTYPE               Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         current row.  Usually you already know this, since  dbnextrow()
         also returns the row type.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       Three different types of values can be returned:

       o If the current row is a regular row, REG_ROW is returned.
       o If the current row is a compute row, the computeid of  the  row
         is  returned.   (See  dbaltbind() for information on the compu-
         teid.)

       o If no rows have been read, or if the  routine  failed  for  any


  3                       Version 4.0 -- 5/1/89                DBROWTYPE
  ______________________________________________________________________
         reason, NO_MORE_ROWS is returned.

  SEE ALSO:
       dbnextrow















