
  1                       Version 4.0 -- 5/1/89                 dbrpwclr
  ______________________________________________________________________

  NAME:  dbrpwclr

  FUNCTION:
       Clear all remote passwords from the LOGINREC structure.

  SYNTAX:
       void dbrpwclr(loginrec)

       LOGINREC  *loginrec;

  COMMENTS:

       o A Transact-SQL command batch or stored procedure running on one






  dbrpwclr                Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         SQL Server may call  a  stored  procedure  located  on  another
         SQL Server.  To accomplish this server-to-server communication,
         the first SQL Server, connected to the application through dbo-
         pen(), actually logs into the second, remote SQL Server.

         dbrpwset() allows the application to specify the password to be
         used when the first SQL Server attempts to call the stored pro-
         cedure on the remote SQL Server.   Multiple  passwords  may  be
         specified,  one  for  each SQL Server that the first SQL Server
         might need to log into.
       o A single LOGINREC can be used repeatedly,  in  successive  dbo-
         pen()  calls  to  different SQL Servers.  dbrpwclr() allows the
         application to remove any remote password information currently
         in  the LOGINREC, so that successive calls to dbopen() can con-
         tain different  remote  password  information  (specified  with
         dbrpwset()).




  3                       Version 4.0 -- 5/1/89                 dbrpwclr
  ______________________________________________________________________

  PARAMETERS:
       loginrec -  A pointer to a LOGINREC structure.  This pointer will
           serve as an argument to dbopen().  You can get one by calling
           dblogin().

  RETURNS:
       None.

  SEE ALSO:
       dblogin,  dbopen,  dbrpwset,  DBSETLAPP,  DBSETLHOST,  DBSETLPWD,
       DBSETLUSER







