
  1                       Version 4.0 -- 5/1/89               dbsetavail
  ______________________________________________________________________

  NAME:  dbsetavail

  FUNCTION:
       Mark a DBPROCESS as being available for general use.

  SYNTAX:
       void dbsetavail(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o This routine marks the DBPROCESS as being available for general






  dbsetavail              Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         use. Any subsequent calls  to  DBISAVAIL()  will  return  TRUE,
         until  some  use is made of the DBPROCESS. Many DB-Library rou-
         tines automatically set the DBPROCESS to "not available."  This
         is useful when many different parts of a program are attempting
         to share a single DBPROCESS.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       None.

  SEE ALSO:
       DBISAVAIL


