
  1                       Version 4.0 -- 5/1/89                 dbstrlen
  ______________________________________________________________________

  NAME:  dbstrlen

  FUNCTION:
       Return the length, in characters, of the command buffer.

  SYNTAX:
       int dbstrlen(dbproc)

       DBPROCESS *dbproc;

  COMMENTS:

       o dbstrlen() finds the length,  in  characters,  of  the  command






  dbstrlen                Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________
         buffer.

       o Internally, the command buffer is a linked  list  of  non-null-
         terminated   text   strings.    dbgetchar(),   dbstrcpy(),  and
         dbstrlen() together provide a way to locate and copy  parts  of
         the command buffer.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage
           communications and data between the front end and SQL Server.

  RETURNS:
       The length, in characters, of the command buffer.

  SEE ALSO:
       dbcmd, dbfcmd, dbfreebuf, dbgetchar, dbstrcpy

