
  1                       Version 4.0 -- 5/1/89                    dbuse
  ______________________________________________________________________

  NAME:  dbuse

  FUNCTION:
       Use a particular database.

  SYNTAX:
       RETCODE dbuse(dbproc, dbname)

       DBPROCESS *dbproc;
       char      *dbname;

  COMMENTS:







  dbuse                   Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

       o This routine issues a Transact-SQL USE command for  the  speci-
         fied  database for a particular DBPROCESS.  It sets up the com-
         mand and calls dbsqlexec() and dbresults().
       o If the USE command fails because the requested database has not
         yet completed a recovery process, dbuse() will continue to send
         USE commands at one second intervals until it  either  succeeds
         or encounters some other error.

       o The routine uses the dbproc provided by the  caller.   It  also
         uses the command buffer of that dbproc.  dbuse() overwrites any
         existing commands in the buffer and clears the buffer  when  it
         is finished.

  PARAMETERS:
       dbproc -  A pointer to the DBPROCESS structure that provides  the
           connection for a particular front-end/SQL Server process.  It
           contains all the information that DB-Library uses  to  manage


  3                       Version 4.0 -- 5/1/89                    dbuse
  ______________________________________________________________________
           communications and data between the front end and SQL Server.
       dbname -  The name of the database to use.

  RETURNS:
       SUCCEED or FAIL.

  SEE ALSO:
       dbchange, dbname











