
  1                       Version 4.0 -- 5/1/89              remove_xact
  ______________________________________________________________________

  NAME:  remove_xact

  FUNCTION:
       Decrement the count of sites  still  active  in  the  distributed
       transaction.

  SYNTAX:
       RETCODE remove_xact(connect, commid, n)

       DBPROCESS *connect;
       DBINT     commid;
       int       n;







  remove_xact             Version 4.0 -- 5/1/89                        2
  ______________________________________________________________________

  COMMENTS:

       o The commit service keeps a count of the number of sites  parti-
         cipating  in  a  distributed transaction.  This routine informs
         the commit service that one or more sites has done a local com-
         mit or abort on the transaction and is hence no longer partici-
         pating.  The commit service removes the sites from the transac-
         tion  by  decrementing  the  count  of  sites.  The transaction
         record is deleted entirely if the count drops to zero.

  PARAMETERS:
       connect -  A pointer to the DBPROCESS used  to  communicate  with
           the commit service.
       commid -  The commid used to identify the transaction to the com-
           mit service.
       n -  The number of sites to remove from the transaction.



  3                       Version 4.0 -- 5/1/89              remove_xact
  ______________________________________________________________________

  RETURNS:
       SUCCEED or FAIL.

  SEE ALSO:
       abort_xact, commit_xact, scan_xact, start_xact, stat_xact













